# DarkChild 2016

## Wordpress Child Theme

This child theme is for Twenty Sixteen and has two things: 

1. A dark mode, with different theme options
2. Collected styles for ease of changing typography 

# Dark mode

Dark mode is set with `@media screen and (prefers-color-scheme: dark)` and is configurable via Dark Mode under the Customize menu  

There are three themes: 

1. Classic Dark - Black and grays with white text
2. Alpenglow - Dark purples with white text, based on the [Firefox theme](https://addons.mozilla.org/en-US/firefox/addon/firefox-alpenglow/)
3. Blue - Dark blue/gray colors, white text 

# Font Substitutions

The CSS for font choices has been collected in the child theme style.css making changing the fonts for the different styles simpler. 

The theme currently uses the following: 

1. Seriff (body text): Merriweather, Georgia, serif; 
2. San-Seriff (headings): Raleway, "Helvetica Neue", sans-serif; 
3. Mono (code): 'IBM Plex Mono', monospace;

# Archives.php 

The Archives page features code originally from a plugin, GPL2, information below:

Plugin Name: Kottke Style Archive
Version: 0.3
Plugin URI: http://www.lattimore.id.au/projects/wordpress/plugins/kottke-style-archives/
Author: Alistair Lattimore
Author URI: http://www.lattimore.id.au
Description: Displays an archive of posts in the same style to http://www.kottke.org/everfresh.

# Twenty-Sixteen

A GPL wordpress theme by [Wordpress.org](https://wordpress.org/themes/twentysixteen/)


